GET
/api/v1/server/log-types
Request
Response
200
Success
Authorization
AuthorizationstringrequiredYour API token as
Bearer YOUR_TOKEN. Create one in your server's dashboard settings.Response
200 Success
custombooleanrequiredWhether it's one of the server's custom types.
dontCountbooleanrequiredWhether logs of this type are left out of punishment counts.
namestringrequiredDisplay name.
premiumbooleanrequiredWhether creating this type needs premium.
typeintegerrequiredValue for a log's
type.typeIdstring | nullValue for a log's
typeId. Custom types only.verbstring | nullPast tense action, such as
Warned. Missing for notes and ban BOLOs.Errors
| Status | Meaning |
|---|---|
401 | Missing, invalid or expired token |
429 | Rate limited. See Retry-After and details. |
500 | Internal server error |